Bug 98143 - Fullscreen slideshow does not display a title when Alt+Tab switching is used
Summary: Fullscreen slideshow does not display a title when Alt+Tab switching is used
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: All All
: medium minor
Assignee: Sumit Chauhan
URL:
Whiteboard: target:6.3.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2016-02-24 16:54 UTC by Stéphane Aulery
Modified: 2019-01-31 08:27 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample of edition windows title under windows 7 (130.10 KB, image/png)
2016-02-24 16:56 UTC, Stéphane Aulery
Details
Sample of slideshow windows title under windows 7 (126.43 KB, image/png)
2016-02-24 16:56 UTC, Stéphane Aulery
Details
Sample of slideshow windows title under Debian (107.17 KB, image/png)
2016-02-24 16:57 UTC, Stéphane Aulery
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Aulery 2016-02-24 16:54:47 UTC
Hello,

While viewing a slideshow, you may want to temporarily switch windows to action. A desmonstration a program for example.

In the window that displays the list of open windows, the title of the slide show window is not displayed. As against that of LO editing window is displayed, if one tests a document under development.

This bug was reproduced with the 4.0.3-3 version on debian and the 5.0.1.2 version of Windows 7.

Regards,

-- 
Stéphane Aulery
Comment 1 Stéphane Aulery 2016-02-24 16:56:18 UTC
Created attachment 122952 [details]
Sample of edition windows title under windows 7
Comment 2 Stéphane Aulery 2016-02-24 16:56:37 UTC
Created attachment 122953 [details]
Sample of slideshow windows title under windows 7
Comment 3 Stéphane Aulery 2016-02-24 16:57:42 UTC
Created attachment 122954 [details]
Sample of slideshow windows title under Debian
Comment 4 Adolfo Jayme 2016-02-25 00:49:51 UTC
Thank you for your bug report.
Comment 5 Stéphane Aulery 2016-02-25 01:14:50 UTC
Nothing, Aldolfo.
Comment 6 QA Administrators 2017-03-06 15:21:38 UTC Comment hidden (obsolete)
Comment 7 Stéphane Aulery 2017-10-01 01:09:01 UTC
I have reproduced it with LO 5.4.1.
Comment 8 QA Administrators 2018-10-02 02:55:00 UTC Comment hidden (obsolete)
Comment 9 Roman Kuznetsov 2019-01-12 14:15:25 UTC
still repro in 

Version: 6.3.0.0.alpha0+
Build ID: 7809ec859d5bdb5dedb259a362a15324088b334c
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

but, presentation mode is full screen mode but not window mode. And if there isn't a window then there isn't window's title also. Right?

Caolan, Mike, do you have any opinion about this?
Comment 10 Mike Kaganski 2019-01-12 16:32:45 UTC
This requires to call SystemWindow::SetText() - see the code that creates the window at SlideShow::StartFullscreenPresentation() (sd/source/ui/slideshow/slideshow.cxx)
Comment 11 Commit Notification 2019-01-31 01:18:59 UTC
Sumit Chauhan committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7373581b52ef3870e463585f53a798acb544d9a7%5E%21

tdf#98143 ,Providing title for the fullscreen slideshow .

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.